Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: cdftools
Upstream-Contact: Jean-Marc.Molines@legi.grenoble-inp.fr 
Source: http://servforge.legi.grenoble-inp.fr/projects/CDFTOOLS
Files: *
Copyright: 1998-2013 LEGI-MEOM (Jean-Marc.Molines@legi.grenoble-inp.fr )
License: CeCILL_V1.1 
 Copyright © 1998-2013 LEGI-MEOM (Jean-Marc.Molines@legi.grenoble-inp.fr ) 
 .
 This package was debianized by Alastair McKinstry <mckinstry@debian.org>, 2013-05-24;
 .
 The following licence information concerns ONLY the CDFTOOLS package
 =======================================================================
 .
 Copyright © LEGI-MEOM (Jean-Marc.Molines@legi.grenoble-inp.fr )
 Contributors : M. Balmaseda, E. Behrens, F. Castruccio,  J. Deshayes,
 N. Djath, C. Dufour, R. Dussin, N. Ferry, F. Hernandez, M. Juza,
 A. Lecointre, P. Mathiot, A. Melet, G. Moreau, A.M. Treguier
 .
 This software is a computer program for analysis of NEMO model output 
 produced in the frame of the DRAKKAR project. It is designed  for the
 treatment of the NetCdf files produced by NEMO-DRAKKAR. 
 .
 This software is governed by the CeCILL  license under French law and
 abiding by the rules of distribution of free software.  You can  use, 
 modify and/ or redistribute the software under the terms of the CeCILL
 license as circulated by CEA, CNRS and INRIA at the following URL
 "http://www.cecill.info". 
 .
 As a counterpart to the access to the source code and  rights to copy,
 modify and redistribute granted by the license, users are provided only
 with a limited warranty  and the software's author,  the holder of the
 economic rights,  and the successive licensors  have only  limited
 liability. 
 .
 In this respect, the user's attention is drawn to the risks associated
 with loading,  using,  modifying and/or developing or reproducing the
 software by the user in light of its specific status of free software,
 that may mean  that it is complicated to manipulate,  and  that  also
 therefore means  that it is reserved for developers  and  experienced
 professionals having in-depth computer knowledge. Users are therefore
 encouraged to load and test the software's suitability as regards their
 requirements in conditions enabling the security of their systems and/or 
 data to be ensured and,  more generally, to use and operate it in the 
 same conditions as regards security. 
 .
 The fact that you are presently reading this means that you have had
 knowledge of the CeCILL license and that you accept its terms.
 .
 .
 FREE SOFTWARE LICENSING AGREEMENT CeCILL
 ========================================
 Notice
 .
 This Agreement is a free software license that is the result of discussions between
 its authors in order to ensure compliance with the two main principles guiding its drafting:
 .
 firstly, its conformity with French law, both as regards the law of torts and intellectual 
 property law, and the protection that it offers to authors and the holders of economic rights over software.
 secondly, compliance with the principles for the distribution of free software: access to source codes, 
 extended user-rights.
 .
 The following bodies are the authors of the license CeCILL1:
 Commissariat à l’Energie Atomique – CEA, a public scientific, technical and industrial establishment, 
 having its principal place of business at 31-33 rue de la Fédération, 75752 PARIS cedex 15, France.
 .
 Centre National de la Recherche Scientifique – CNRS, a public scientific and technological establishment, 
 having its principal place of business at 3 rue Michel-Ange 75794 Paris cedex 16, France.
 .
 Institut National de Recherche en Informatique et en Automatique– INRIA, a public scientific and technological 
 establishment, having its principal place of business at Domaine de Voluceau, Rocquencourt, BP 105, 
 78153 Le Chesnay cedex, France.
 .
 PREAMBLE
 .
 The purpose of this Free Software Licensing Agreement is to grant users the right to modify and 
 redistribute the software governed by this license within the framework of an “open source” distribution model.
 .
 The exercising of these rights is conditional upon certain obligations for users so as to ensure 
 that this status is retained for subsequent redistribution operations.
 .
 As a counterpart to the access to the source code and rights to copy, modify and redistribute 
 granted by the license, users are provided only with a limited warranty and the software’s author, 
 the holder of the economic rights, and the successive licensors only have limited liability.
 .
 In this respect, it is brought to the user's attention that the risks associated with loading, using, 
 modifying and/or developing or reproducing the software by the user given its nature of Free Software, 
 that may mean that it is complicated to manipulate, and that also therefore means that it is reserved 
 for developers and experienced professionals having in-depth computer knowledge. Users are therefore encouraged 
 to load and test the Software’s suitability as regards their requirements in conditions enabling the 
 security of their systems and/or data to be ensured and, more generally, to use and operate it in the 
 same conditions of security. This Agreement may be freely reproduced and published, provided it is not altered, 
 and that no Articles are either added or removed herefrom.
 .
 This Agreement may apply to any or all software for which the holder of the economic rights 
 decides to submit the operation thereof to its provisions.
 .
 Article 1 - DEFINITIONS
 .
 For the purposes of this Agreement, when the following expressions commence with a capital letter, 
 they shall have the following meaning:
 .
 Agreement: means this Licensing Agreement, and any or all of its subsequent versions.
 .
 Software: means the software in its Object Code and/or Source Code form and, where applicable, 
 its documentation, “as is” at the time when the Licensee accepts the Agreement.
 .
 Initial Software: means the Software in its Source Code and/or Object Code form and, where applicable, 
 its documentation, “as is” at the time when it is distributed for the first time under the terms 
 and conditions of the Agreement.
 .
 Modified Software: means the Software modified by at least one Contribution.
 .
 Source Code: means all the Software’s instructions and program lines to which access is required so 
 as to modify the Software.
 .
 Object Code: means the binary files originating from the compilation of the Source Code.
 .
 Holder: means the holder(s) of the economic rights over the Initial Software.
 .
 Licensee(s): mean(s) the Software user(s) having accepted the Agreement.
 .
 Contributor: means a Licensee having made at least one Contribution.
 .
 Licensor: means the Holder, or any or all other individual or legal entity, that distributes 
 the Software under the Agreement.
 .
 Contributions: mean any or all modifications, corrections, translations, adaptations 
 and/or new functionalities integrated into the Software by any or all Contributor, and the Static Modules.
 .
 Module: means a set of sources files including their documentation that, once compiled in executable form, 
 enables supplementary functionalities or services to be developed in addition to those offered by the Software.enab
 .
 Dynamic Module: means any or all module, created by the Contributor, that is independent of the Software, 
 so that this module and the Software are in two different executable forms that are run in separate address spaces, 
 with one calling the other when they are run.
 .
 Static Module: means any or all module, created by the Contributor and connected to the Software by a static link
 that makes their object codes interdependent. This module and the Software to which it is connected, 
 are combined in a single executable.
 .
 Parties: mean both the Licensee and the Licensor.
 .
 These expressions may be used both in singular and plural form.
 Article 2 - PURPOSE
 .
 The purpose of the Agreement is to enable the Licensor to grant the Licensee, non-exclusive, transferable 
 and worldwide License for the Software as set forth in Article 5 hereinafter for the whole term of 
 protection of the rights over said Software.
 .
 Article 3 - ACCEPTANCE
 .
 3.1. The Licensee shall be deemed as having accepted the terms and conditions of this Agreement 
 by the occurrence of the first of the following events:
 .
  (i) loading the Software by any or all means, notably, by downloading from a remote server, or by loading from a physical medium;
  (ii) the first time the Licensee exercises any of the rights granted hereunder.
 .
 3.2. One copy of the Agreement, containing a notice relating to the specific nature of the Software, 
 to the limited warranty, and to the limitation to use by experienced users has been provided to the Licensee prior
 to its acceptance as set forth in Article 3.1 hereinabove, and the Licensee hereby acknowledges that it is aware thereof.
 .
 Article 4 - EFFECTIVE DATE AND TERM
 4.1. EFFECTIVE DATE
 .
 The Agreement shall become effective on the date when it is accepted by the Licensee as set forth in Article 3.1.
 .
 4.2. TERM
 .
 The Agreement shall remain in force during the whole legal term of protection of the economic rights over the Software.
 .
 Article 5 - SCOPE OF THE RIGHTS GRANTED
 .
 The Licensor hereby grants to the Licensee, that accepts such, the following rights as regards the Software
 for any or all use, and for the term of the Agreement, on the basis of the terms and conditions set forth hereinafter.
 .
 Otherwise, the Licensor grants to the Licensee free of charge exploitation rights on the patents he holds
 on whole or part of the inventions implemented in the Software.
 .
 5.1. RIGHTS OF USE
 .
 The Licensee is authorized to use the Software, unrestrictedly, as regards the fields of application, 
 with it being hereinafter specified that this relates to:
 * permanent or temporary reproduction of all or part of the Software by any or all means and in any or all form.
 * loading, displaying, running, or storing the Software on any or all medium.
 *  entitlement to observe, study or test the operation thereof so as to establish the ideas and principles 
    that form the basis for any or all constituent elements of said Software. This shall apply when the Licensee 
    carries out any or all loading, displaying, running, transmission or storage operation as regards the Software, 
    that it is entitled to carry out hereunder.
 .
 5.2. ENTITLEMENT TO MAKE CONTRIBUTIONS
 .
 The right to make Contributions includes the right to translate, adapt, arrange, or make any or all 
 modification to the Software, and the right to reproduce the resulting Software.
 .
 The Licensee is authorized to make any or all Contribution to the Software provided that it 
 explicitly mentions its name as the author of said Contribution and the date of the development thereof.
 .
 5.3. DISTRIBUTION AND PUBLICATION RIGHTS
 .
 In particular, the right of distribution and publication includes the right to transmit and communicate 
 the Software to the general public on any or all medium, and by any or all means, and the right to market, 
 either in consideration of a fee, or free of charge, a copy or copies of the Software by means of any or all process.
 .
 The Licensee is further authorized to redistribute copies of the modified or unmodified Software to 
 third parties according to the terms and conditions set forth hereinafter.
 .
 5.3.1. REDISTRIBUTIONOF SOFTWARE WITHOUT MODIFICATION
 .
 The Licensee is authorized to redistribute true copies of the Software in Source Code or Object Code form, 
 provided that said redistribution complies with all the provisions of the Agreement and is accompanied by:
 *  a copy of the Agreement,
 *  a notice relating to the limitation of both the Licensor’s warranty and liability as set forth in Articles 8 and 9,
 and that, in the event that only the Software’s Object Code is redistributed, the Licensee allows future Licensees 
 unhindered access to the Software’s full Source Code by providing them with the terms and conditions for access thereto, 
 it being understood that the additional cost of acquiring the Source Code shall not exceed the cost of transferring the data.
 .
 5.3.2. REDISTRIBUTION OF MODIFIED SOFTWARE
 .
 When the Licensee makes a Contribution to the Software, the terms and conditions for the redistribution of the 
 Modified Software shall then be subject to all the provisions hereof.
 .
 The Licensee is authorized to redistribute the Modified Software, in Source Code or Object Code form, provided that 
 said redistribution complies with all the provisions of the Agreement and is accompanied by:
 *  a copy of the Agreement,
 *   a notice relating to the limitation of both the Licensor’s warranty and liability as set forth in Articles 8 and 9,
 and that, in the event that only the Modified Software’s Object Code is redistributed, the Licensee allows 
 future Licensees unhindered access to the Modified Software’s full Source Code by providing them with the 
 terms and conditions for access thereto, it being understood that the additional cost of acquiring the Source Code
 shall not exceed the cost of transferring the data.
 .
 5.3.3. REDISTRIBUTION OF DYNAMIC MODULES
 .
 When the Licensee has developed a Dynamic Module, the terms and conditions hereof do not apply to said Dynamic Module,
 that may be distributed under a separate Licensing Agreement.
 .
 5.3.4. COMPATIBILITY WITH THE GPL LICENSE
 .
 In the event that the Modified or unmodified Software is included in a code that is subject to the provisions
 of the GPL License, the Licensee is authorized to redistribute the whole under the GPL License.
 .
 In the event that the Modified Software includes a code that is subject to the provisions of the GPL License, 
 the Licensee is authorized to redistribute the Modified Software under the GPL License.
 .
 Article 6 - INTELLECTUAL PROPERTY OVER THE INITIAL SOFTWARE
 6.1. OVER THE INITIAL SOFTWARE
 .
 The Holder owns the economic rights over the Initial Software. Any or all use of the Initial Software 
 is subject to compliance with the terms and conditions under which the Holder has elected to distribute 
 its work and no one shall be entitled to modify the terms and conditions for the distribution of said Initial Software.
 .
 The Holder undertakes to maintain the distribution of the Initial Software under the conditions of the Agreement, 
 for the duration set forth in article 4.2.
 .
 6.2. OVER THE CONTRIBUTIONS
 .
 The intellectual property rights over the Contributions belong to the holder of the economic rights as designated by effective legislation.
 6.3. OVER THE DYNAMIC MODULES
 .
 The Licensee having developed a Dynamic Module is the holder of the intellectual property rights over said Dynamic Module
 and is free to choose the agreement that shall govern its distribution.
 .
 6.4. JOINT PROVISIONS
 .
 6.4.1. The Licensee expressly undertakes:
 * not to remove, or modify, in any or all manner, the intellectual property notices affixed to the Software;
 *  to reproduce said notices, in an identical manner, in the copies of the Software.
 .
 6.4.2. The Licensee undertakes not to directly or indirectly infringe the intellectual property rights of the 
 Holder and/or Contributors and to take, where applicable, vis-à-vis its staff, any or all measures required to 
 ensure respect for said intellectual property rights of the Holder and/or Contributors.
 .
 Article 7 - RELATED SERVICES
 .
 7.1. Under no circumstances shall the Agreement oblige the Licensor to provide technical assistance or 
 maintenance services for the Software.
 .
 However, the Licensor is entitled to offer this type of service. The terms and conditions of such technical assistance,
 and/or such maintenance, shall then be set forth in a separate instrument. Only the Licensor offering said 
 maintenance and/or technical assistance services shall incur liability therefor.
 .
 7.2. Similarly, any or all Licensor shall be entitled to offer to its Licensees, under its own responsibility, a warranty,
 that shall only be binding upon itself, for the redistribution of the Software and/or the Modified Software, under terms 
 and conditions that it shall decide upon itself. Said warranty, and the financial terms and conditions of its application, 
 shall be subject to a separate instrument executed between the Licensor and the Licensee.
 .
 Article 8 - LIABILITY
 .
 8.1. Subject to the provisions of Article 8.2, should the Licensor fail to fulfill all or part of its obligations hereunder, 
 the Licensee shall be entitled to claim compensation for the direct loss suffered as a result of a fault on the part
 of the Licensor, subject to providing evidence of it.
 .
 8.2. The Licensor’s liability is limited to the commitments made under this Agreement and shall not be incurred as a result , 
 in particular: (i) of loss due the Licensee’s total or partial failure to fulfill its obligations, (ii) direct or consequential
 loss due to the Software’s use or performance that is suffered by the Licensee, when the latter is a professional using said
 Software for professional purposes and (iii) consequential loss due to the Software’s use or performance. 
 The Parties expressly agree that any or all pecuniary or business loss (i.e. loss of data, loss of profits, operating loss, 
 loss of customers or orders, opportunity cost, any disturbance to business activities) or any or all legal proceedings 
 instituted against the Licensee by a third party, shall constitute consequential loss and shall not provide entitlement
 to any or all compensation from the Licensor.
 .
 Article 9 - WARRANTY
 .
 9.1. The Licensee acknowledges that the current situation as regards scientific and technical know-how at the time
 when the Software was distributed did not enable all possible uses to be tested and verified, nor for the presence 
 of any or all faults to be detected. In this respect, the Licensee’s attention has been drawn to the risks associated 
 with loading, using, modifying and/or developing and reproducing the Software that are reserved for experienced users.
 .
 The Licensee shall be responsible for verifying, by any or all means, the product’s suitability for its requirements, 
 its due and proper functioning, and for ensuring that it shall not cause damage to either persons or property.
 .
 9.2. The Licensor hereby represents, in good faith, that it is entitled to grant all the rights on the Software 
 (including in particular the rights set forth in Article 5).
 .
 9.3. The Licensee acknowledges that the Software is supplied “as is” by the Licensor without any or all other express 
 or tacit warranty, other than that provided for in Article 9.2 and, in particular, without any or all warranty 
 as to its market value, its secured, innovative or relevant nature.
 .
 Specifically, the Licensor does not warrant that the Software is free from any or all error, that it shall operate 
 continuously, that it shall be compatible with the Licensee’s own equipment and its software configuration, 
 nor that it shall meet the Licensee’s requirements.
 .
 9.4 The Licensor does not either expressly or tacitly warrant that the Software does not infringe any or all 
 third party intellectual right relating to a patent, software or to any or all other property right. Moreover, 
 the Licensor shall not hold the Licensee harmless against any or all proceedings for infringement that may be instituted 
 in respect of the use, modification and redistribution of the Software. Nevertheless, should such proceedings be instituted 
 against the Licensee, the Licensor shall provide it with technical and legal assistance for its defense. Such technical 
 and legal assistance shall be decided upon on a case-by-case basis between the relevant Licensor and the Licensee pursuant 
 to a memorandum of understanding. The Licensor disclaims any or all liability as regards the Licensee’s use of the Software’s name. 
 No warranty shall be provided as regards the existence of prior rights over the name of the Software 
 and as regards the existence of a trademark.
 .
 Article 10 - TERMINATION
 .
 10.1. In the event of a breach by the Licensee of its obligations hereunder, the Licensor may automatically 
 terminate this Agreement thirty (30) days after notice has been sent to the Licensee and has remained ineffective.
 .
 10.2. The Licensee whose Agreement is terminated shall no longer be authorized to use, modify or distribute the Software. 
 However, any or all licenses that it may have granted prior to termination of the Agreement shall remain valid subject 
 to their having been granted in compliance with the terms and conditions hereof.
 .
 Article 11 - MISCELLANEOUS PROVISIONS
 11.1. EXCUSABLE EVENTS
 .
 Neither Party shall be liable for any or all delay, or failure to perform the Agreement, that may be attributable 
 to an event of force majeure, an act of God or an outside cause, such as, notably, defective functioning, or interruptions 
 affecting the electricity or telecommunications networks, blocking of the network following a virus attack, 
 the intervention of the government authorities, natural disasters, water damage, earthquakes, fire, 
 explosions, strikes and labor unrest, war, etc.
 .
 11.2. The fact that either Party may fail, on one or several occasions, to invoke one or several of the 
 provisions hereof, shall under no circumstances be interpreted as being a waiver by the interested Party
  of its entitlement to invoke said provision(s) subsequently.
 .
 11.3. The Agreement cancels and replaces any or all previous agreement, whether written or oral, between the 
 Parties and having the same purpose, and constitutes the entirety of the agreement between said Parties concerning 
 said purpose. No supplement or modification to the terms and conditions hereof shall be effective as regards the 
 Parties unless it is made in writing and signed by their duly authorized representatives.
 .
 11.4. In the event that one or several of the provisions hereof were to conflict with a current or future applicable 
 act or legislative text, said act or legislative text shall take precedence, and the Parties shall make the 
 necessary amendments so as to be in compliance with said act or legislative text. All the other provisions 
 shall remain effective. Similarly, the fact that a provision of the Agreement may be null and void, for 
 any reason whatsoever, shall not cause the Agreement as a whole to be null and void.
 .
 11.5. LANGUAGE
 .
 The Agreement is drafted in both French and English. In the event of a conflict as regards construction, 
 the French version shall be deemed authentic.
 .
 Article 12 - NEW VERSIONS OF THE AGREEMENT
 .
 12.1. Any or all person is authorized to duplicate and distribute copies of this Agreement.
 .
 12.2. So as to ensure coherence, the wording of this Agreement is protected and may only be modified by the 
 authors of the License, that reserve the right to periodically publish updates or new versions of the Agreement, 
 each with a separate number. These subsequent versions may address new issues encountered by Free Software.
 .
 12.3. Any or all Software distributed under a given version of the Agreement may only be subsequently 
 distributed under the same version of the Agreement or a subsequent version, subject to the provisions of article 5.3.4.
 .
 Article 13 - GOVERNING LAW AND JURISDICTION
 .
 13.1. The Agreement is governed by French law. The Parties agree to endeavor to settle the disagreements or 
 disputes that may arise during the performance of the Agreement out-of-court.
 .
 13.2. In the absence of an out-of-court settlement within two (2) months as from their occurrence, 
 and unless emergency proceedings are necessary, the disagreements or disputes shall be referred to the 
 Paris Courts having jurisdiction, by the first Party to take action.
 .
 1 Ce: CEA, C: CNRS, I: INRIA, LL: Logiciel Libre
 .
 Version 1.1 of 10/26/2004

